<?php
  //affiche le titre du fil RSS
  class affiche_titre{
      private $chemin;
      //Affiche le contenu si la balise est rss/channel/title
      public function noeudTexte($sax, $texte){
          $texte = trim($texte);
          //si ce n'est pas un titre, on n'affiche rien''
          if($this->chemin !='rss/channel/title') return;
          //sinon, on affiche son contenu
          echo utf8_decode($texte);
      }
      //Balise ouvrante
      public function baliseOuvrante($sax, $nom, $attributs){
          $this->chemin .= "/$nom";
      }
      //Balise fermante
      public function baliseFermante($sax, $nom){
          $longueur = strlen($nom)+1;
          $this->chemin = substr($this->chemin, 0, -$longueur);
      }
  }
  $sax = xml_parser_create('UTF-8');
  $xml = new affiche_titre();
  xml_set_object($sax, $xml);
  xml_parser_set_option($sax, XML_OPTION_CASE_FOLDING, FALSE);
  xml_set_character_data_handler($sax, 'noeudTexte');
  xml_set_element_handler($sax, 'baliseOuvrante', 'baliseFermante');
   // On charge le fichier rss
  $fichier_rss = file_get_contents('fichier.rss');
  //on excute l'ensemble
  xml_parse($sax,$fichier_rss, TRUE); 
?>

